/*
  Arduino 12 SPI_MOSI  - max7221 1 DIN
  Arduino 10 SPI_SCK   - max7221 13 CLK
  Arduino 11 SPI_CS    - max 7221 12 LOAD
*/
// ========= дисплей ==============
#include "max7221.h"
MAX7221 max7221 = MAX7221(12, 10, 11);


void setup()
{

}

void loop()
{
  int i;
  
  max7221.yark_DISPL (15);
  max7221.koleso(7);

  //indic (_7, _5, _o, _C, 0);

  //effect(10);

  max7221.indic (_1, _2, _3, _4, 0);
  for (i = 0; i < 60; i++) delay(50);

  max7221.LoadBU (_2, _3, _o, _C, 0);
  max7221.imposeR();                                 // индикация наложения буфера cправа
  for (i = 0; i < 60; i++) delay(50);

  max7221.LoadBU (_1, _2, _3, _4, 0);
  max7221.go_up();                                   // индикация вывода буфера снизу вверх
  for (i = 0; i < 60; i++) delay(50);

  max7221.LoadBU (_2, _4, _o, _C, 0);
  max7221.go_down();                                 // индикация вывода буфера cверху вниз
  for (i = 0; i < 60; i++) delay(50);

  max7221.LoadBU (_1, _7, _2, _9, 0);
  max7221.imposeL();                                  // индикация наложения буфера cлева
  for (i = 0; i < 60; i++) delay(50);


}
